Subject: Re: bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Nov 2021 16:05:06 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 21 Nov 2021 09:38:06 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > ??? That ship has sailed long ago, in Emacs 21.  Float values and
> > integer values have different meanings in these face attributes (and
> > in other similar features, like line-height, the "space :height"
> > display spec, etc.).  Why is this suddenly a problem, and one that
> > requires a new face attribute at that?
> 
> I don't think we have to compound the error by extending this mis-design
> to new areas, but I won't insist.

The question is, how many more Emacs Lisp programmers consider this
mis-design natural, like I do?

But I'm not objecting if you or someone else wants to add such an
attribute, I just warn that it probably won't be trivial.